> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Adobe Workfront

> Access the Adobe Workfront API in 2 minutes 💨

> [tab] 🚀 Quickstart
>
> **1. Create an integration**
>
> In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Adobe Workfront*. Nango doesn't have a Nango-managed OAuth app for Adobe Workfront yet. You’ll need to set up your own by following these [instructions](#🧑%E2%80%8D💻-oauth-app-setup). After that, make sure to add the OAuth client ID and secret in the integration settings in Nango.
>
> **2. Authorize Adobe Workfront**
>
> Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to Adobe Workfront. Later, you'll let your users do the same directly from your app.
>
> **3. Call the Adobe Workfront API**
>
> Let's make your first request to the Adobe Workfront API (fetch a specific project using its projectId). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):
>
> > [tab] cURL
> >
> > ```bash theme={null}
> > curl "https://api.nango.dev/proxy/v15.0/project/{projectId}" \
> >   -H "Authorization: Bearer <NANGO-API-KEY>" \
> >   -H "Provider-Config-Key: <INTEGRATION-ID>" \
> >   -H "Connection-Id: <CONNECTION-ID>"
> > ```
>
> > [tab] Node
> >
> > Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
> >
> > ```typescript theme={null}
> > import { Nango } from '@nangohq/node';
> >
> > const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
> >
> > const res = await nango.get({
> >     endpoint: '/v15.0/project/{projectId}',
> >     providerConfigKey: '<INTEGRATION-ID>',
> >     connectionId: '<CONNECTION-ID>'
> > });
> >
> > console.log(JSON.stringify(res.data, null, 2));
> > ```
>
> Or fetch credentials dynamically via the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).
>
> ✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.
>
> > [!TIP]
> >
> > Next step: [Embed the auth flow](https://nango.dev/docs/guides/primitives/auth.md) in your app to let your users connect their Adobe Workfront accounts.

> [tab] 🧑‍💻 OAuth app setup
>
> **1. Access Adobe Workfront OAuth2 Setup**
>
> 1. Click the **Main Menu** icon in the upper-right corner of Adobe Workfront, or (if available), click the **Main Menu** icon in the upper-left corner.
> 2. Click **Setup**.
> 3. In the left navigation panel, click **System**.
> 4. Select **OAuth2 Applications**.
>
> **2. Create app integration**
>
> 1. Click **Create app integration**.
> 2. The **New OAuth2 application** dialog displays.
> 3. In the **New OAuth2 application** box, select **Web Application**.
> 4. Enter a name for the new OAuth2 application then click **Create**.
>
> **3. Configure OAuth2 application**
>
> Fill in all the required fields for the new app, for the following fields
>
> * **Redirect URLs**: Enter `https://api.nango.dev/oauth/callback`
> * **Refresh token rotation**: Enable this option to issue a new refresh token whenever the refresh token is used.
> * **Absolute refresh token expiration**: Select "No expiration" for this field.
>
> **4. Save and obtain credentials**
>
> 1. Click **Save**.
> 2. Copy both the **Client ID** and **Client Secret** as you'll need them when configuring your integration in Nango.
>
> **5. Next**
>
> Follow the [*Quickstart*](https://nango.dev/docs/getting-started/quickstart.md).

> [tab] 🔗 Useful links
>
> | Topic | Links |
> | - | - |
> | Authorization | [Guide to connect to Adobe Workfront using Connect UI](https://nango.dev/docs/integrations/all/adobe-workfront/connect) |
> | General | [Adobe Workfront](https://business.adobe.com/products/workfront.html) |
> | Developer | [Adobe Workfront API Documentation](https://experienceleague.adobe.com/en/docs/workfront/using/adobe-workfront-api/workfront-api) |
> | | [OAuth2 Applications Setup](https://experienceleague.adobe.com/en/docs/workfront/using/administration-and-setup/configure-integrations/create-oauth-application#create-an-oauth2-application-using-user-credentials-authorization-code-flow) |
> | | [OAuth2 authentication docs](https://experienceleague.adobe.com/en/docs/workfront/using/adobe-workfront-api/api-notes/oauth-app-code-token-flow) |
> | | [Domain format for Adobe Workfront API calls](https://experienceleague.adobe.com/en/docs/workfront/using/adobe-workfront-api/tips-troubleshooting-apis/locate-domain-for-api) |
> | | [API versioning](https://experienceleague.adobe.com/en/docs/workfront/using/adobe-workfront-api/api-notes/api-version-support-schedule) |
> | | [Adobe Workfront Fusion Documentation](https://experienceleague.adobe.com/docs/workfront/using/adobe-workfront-fusion/workfront-fusion-2.html) |
>
> > [!NOTE]
> >
> > Contribute useful links by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/adobe-workfront.mdx)

> [tab] 🚨 API gotchas
>
> * Adobe Workfront uses different [API versions](https://experienceleague.adobe.com/en/docs/workfront/using/adobe-workfront-api/api-notes/api-version-support-schedule) (v15.0, v16.0, etc.). Make sure you're using the correct version for your needs.
> * You can leave the scopes field empty when configuring in Nango as it's not needed.
>   \[!NOTE] Contribute API gotchas by [editing this page](https://github.com/nangohq/nango/tree/master/docs/integrations/all/adobe-workfront.mdx)

> [!NOTE]
>
> Questions? Join us in the [Slack community](https://nango.dev/slack).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.